Unrelease Action Version

Unrelease Action Version
Mark an action version as not released

Marks an actions released version as not released

Request
URI
DELETE
https://vcfa-10-162-161-9.vcfd.broadcom.net/abx/api/resources/actions/{id}/release
COPY
Path Parameters
string
id
Required

ID of the action

Query Parameters
string
projectId
Required

Project ID of action (required for non-system actions)


Authentication
This operation uses the following authentication methods.
Responses
200

Action version unreleased

Returns Action of type(s) */*
{
    "name": "string",
    "metadata": {},
    "runtime": "string",
    "source": "string",
    "entrypoint": "string",
    "description": "string",
    "inputs": {},
    "memoryInMB": 0,
    "prePolyglotMemoryLimitInMB": 0,
    "showMemoryAlert": false,
    "timeoutSeconds": 0,
    "dependencies": "string",
    "compressedContent": "string",
    "actionType": "string",
    "provider": "string",
    "contentId": "string",
    "configuration": {},
    "system": false,
    "shared": false,
    "scalable": false,
    "asyncDeployed": false,
    "runtimeVersion": "string",
    "id": "string",
    "projectId": "string",
    "orgId": "string",
    "selfLink": "string"
}

404

Action version not found

Returns Action of type(s) */*
{
    "name": "string",
    "metadata": {},
    "runtime": "string",
    "source": "string",
    "entrypoint": "string",
    "description": "string",
    "inputs": {},
    "memoryInMB": 0,
    "prePolyglotMemoryLimitInMB": 0,
    "showMemoryAlert": false,
    "timeoutSeconds": 0,
    "dependencies": "string",
    "compressedContent": "string",
    "actionType": "string",
    "provider": "string",
    "contentId": "string",
    "configuration": {},
    "system": false,
    "shared": false,
    "scalable": false,
    "asyncDeployed": false,
    "runtimeVersion": "string",
    "id": "string",
    "projectId": "string",
    "orgId": "string",
    "selfLink": "string"
}

Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/abx/api/resources/actions/{id}/release?projectId=v